package com.gic.haoban.manage.web.qo.data;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.io.Serializable;

/**
 * @Author guojx
 * @Date 2024/4/30 10:29
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class StoreNewMemberDataQO extends CommonQO implements Serializable {

    private StoreNewMemberApiQO apiParam;

    /**
     * 1:data_mbr_scale_stat_new_day_overview
     * 2:data_mbr_scale_stat_new_week_overview
     * 3:data_mbr_scale_stat_new_month_overview
     * 4:data_mbr_scale_stat_new_year_overview
     * 5:data_mbr_scale_stat_new_custm_overview
     */
    private Integer apiNameType;


    public String getApolloKeyByType() {
        if (apiNameType == null) {
            apiNameType = 1;
        }
        switch (apiNameType) {
            case 2:
                return "data_mbr_scale_stat_new_week_overview";
            case 3:
                return "data_mbr_scale_stat_new_month_overview";
            case 4:
                return "data_mbr_scale_stat_new_year_overview";
            case 5 :
                return "data_mbr_scale_stat_new_custm_overview";
            default:
                return "data_mbr_scale_stat_new_day_overview";
        }
    }
}
